{{
// Author: Kwabena W. Agyeman
// Updated: 7/20/2011
// Designed For: P8X32A
// Version: 1.2
//
// Copyright (c) 2011 Kwabena W. Agyeman
// See end of file for terms of use.
//
// Update History:
//
// v1.0 - Original release - 7/6/2011.
// v1.1 - Tested with updated driver - 7/18/2011.
// v1.2 - Added support for dither mode - 7/20/2011.
//
// Plays a WAV file over and over again at different sample rates. The WAV file is specified by its file path name string that
// can be found in the code below. The WAV-Player program can play any standard WAV file. E.g. 16/8-Bit 16000/22050/44100-Hz.
//
// Nyamekye,
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}}
CON
  _clkmode = xtal1 + pll16x ' The clkfreq is 80MHz.
  _xinfreq = 5_000_000 ' Demo board compatible.
  _dopin = 22
  _clkpin = 23
  _dipin = 24
  _cspin = 25
  _cdpin = -1 ' -1 if unused.
  _wppin = -1' -1 if unused.
  _rtcres1 = -1 ' -1 always.
  _rtcres2 = -1 ' -1 always.
  _rtcres3 = -1 ' -1 always.
  _lpin = 26 ' -1 if unused.
  _rpin = 27 ' -1 if unused.
  _volume = 50 ' Default volume.
  _ditherEnable = true ' "true" or "false" please.
  _ditherLevel = 4 ' 0 = Most Dither ... 31 = Least Dither.
  
OBJ dac: "WAV-Player_DACEngine"
VAR 
PUB demo  | a,b,c
  
  dac.FATEngineStart(_dopin, _clkpin, _dipin, _cspin, _wppin, _cdpin, _rtcres1, _rtcres2, _rtcres3)     
  dac.DACEngineStart(constant(_lpin | (not(not(_ditherEnable)))), constant(_rpin | (not(not(_ditherEnable)))), _volume)  
    
  if(_ditherEnable)
    dac.DACDitherEngineStart(_lpin, _rpin, _ditherLevel)
    
  repeat
    if not dac.waveplayerstate                                  
      dac.playwavfile(string("CHIMES.WAV")) 
     